diff --git a/gcc/analyzer/region-model.h b/gcc/analyzer/region-model.h
index e5d04b47e0d..f75625fbe48 100644
--- a/gcc/analyzer/region-model.h
+++ b/gcc/analyzer/region-model.h
@@ -903,30 +880,30 @@ public:
 template <>
 template <>
 inline bool
-is_a_helper <const sub_svalue2 *>::test (const svalue2 *sval)
+is_a_helper <const sub_svalue *>::test (const svalue *sval)
 {
-  return sval->get_kind () == svalue2::SK_SUB;
+  return sval->get_kind () == svalue::SK_SUB;
 }
 
-template <> struct default_hash_traits<sub_svalue2::key_t>
-: public member_function_hash_traits<sub_svalue2::key_t>
+template <> struct default_hash_traits<sub_svalue::key_t>
+: public member_function_hash_traits<sub_svalue::key_t>
 {
   static const bool empty_zero_p = true;
 };
 
 namespace ana {
 
-/* Concrete subclass of svalue2: decorate another svalue2,
-   so that the resulting svalue2 can be identified as being
+/* Concrete subclass of svalue: decorate another svalue,
+   so that the resulting svalue can be identified as being
    "interesting to control flow".
    For example, consider the return value from setjmp.  We
    don't want to merge states in which the result is 0 with
    those in which the result is non-zero.  By using an
-   unmergeable_svalue2 for the result, we can inhibit such merges
+   unmergeable_svalue for the result, we can inhibit such merges
    and have separate exploded nodes for those states, keeping
    the first and second returns from setjmp distinct in the exploded
    graph.
-   FIXME: possibly rename to "significant_svalue2"?
+   FIXME: possibly rename to "significant_svalue"?
    FIXME: possibly use this to capture "significant" conditions in
    control flow, and to use this to tweak descriptions of conditions
    in paths.  Specifically, could this be used by
@@ -935,33 +912,33 @@ namespace ana {
      following 'true' branch (when value returned from 'setjmp' is non-zero)
    or somesuch.  */
 
-class unmergeable_svalue2 : public svalue2
+class unmergeable_svalue : public svalue
 {
 public:
-  unmergeable_svalue2 (const svalue2 *arg)
-  : svalue2 (complexity (arg), arg->get_type ()), m_arg (arg)
+  unmergeable_svalue (const svalue *arg)
+  : svalue (complexity (arg), arg->get_type ()), m_arg (arg)
   {
   }
 
   enum kind get_kind () const FINAL OVERRIDE { return SK_UNMERGEABLE; }
-  const unmergeable_svalue2 *
-  dyn_cast_unmergeable_svalue2 () const FINAL OVERRIDE { return this; }
+  const unmergeable_svalue *
+  dyn_cast_unmergeable_svalue () const FINAL OVERRIDE { return this; }
   void accept (visitor *v) const FINAL OVERRIDE;
-  bool implicitly_live_p (const svalue2_set &,
-			  const region_model2 *) const FINAL OVERRIDE;
+  bool implicitly_live_p (const svalue_set &,
+			  const region_model *) const FINAL OVERRIDE;
 
 #if 0
-  void dump_dot_to_pp (const region_model2 &model,
+  void dump_dot_to_pp (const region_model &model,
 		       pretty_printer *pp) const
     FINAL OVERRIDE;
 #endif
 
   void dump_to_pp (pretty_printer *pp, bool simple) const FINAL OVERRIDE;
 
-  const svalue2 *get_arg () const { return m_arg; }
+  const svalue *get_arg () const { return m_arg; }
 
  private:
-  const svalue2 *m_arg;
+  const svalue *m_arg;
 };
 
 } // namespace ana
@@ -969,23 +946,23 @@ public:
 template <>
 template <>
 inline bool
-is_a_helper <const unmergeable_svalue2 *>::test (const svalue2 *sval)
+is_a_helper <const unmergeable_svalue *>::test (const svalue *sval)
 {
-  return sval->get_kind () == svalue2::SK_UNMERGEABLE;
+  return sval->get_kind () == svalue::SK_UNMERGEABLE;
 }
 
 namespace ana {
 
-/* Concrete subclass of svalue2 for use in selftests, where
-   we want a specific but unknown svalue2.
-   Unlike other svalue2 subclasses these aren't managed by
-   region_model2_manager.  */
+/* Concrete subclass of svalue for use in selftests, where
+   we want a specific but unknown svalue.
+   Unlike other svalue subclasses these aren't managed by
+   region_model_manager.  */
 
-class placeholder_svalue2 : public svalue2
+class placeholder_svalue : public svalue
 {
 public:
-  placeholder_svalue2 (tree type, const char *name)
-  : svalue2 (complexity (1, 1), type), m_name (name)
+  placeholder_svalue (tree type, const char *name)
+  : svalue (complexity (1, 1), type), m_name (name)
   {
   }
 
@@ -993,7 +970,7 @@ public:
   void accept (visitor *v) const FINAL OVERRIDE;
 
 #if 0
-  void dump_dot_to_pp (const region_model2 &model,
+  void dump_dot_to_pp (const region_model &model,
 		       pretty_printer *pp) const
     FINAL OVERRIDE;
 #endif
@@ -1001,7 +978,7 @@ public:
   void dump_to_pp (pretty_printer *pp, bool simple) const FINAL OVERRIDE;
 
 #if 0
-  binop_svalue2 *dyn_cast_placeholder_svalue2 () FINAL OVERRIDE { return this; }
+  binop_svalue *dyn_cast_placeholder_svalue () FINAL OVERRIDE { return this; }
 #endif
 
  private:
@@ -1013,14 +990,14 @@ public:
 template <>
 template <>
 inline bool
-is_a_helper <placeholder_svalue2 *>::test (svalue2 *sval)
+is_a_helper <placeholder_svalue *>::test (svalue *sval)
 {
-  return sval->get_kind () == svalue2::SK_PLACEHOLDER;
+  return sval->get_kind () == svalue::SK_PLACEHOLDER;
 }
 
 namespace ana {
 
-/* Concrete subclass of svalue2 representing a "widening" seen when merging
+/* Concrete subclass of svalue representing a "widening" seen when merging
    states, widening from a base value to {base value, iter value} and thus
    representing a possible fixed point in an iteration from the base to
    +ve infinity, or -ve infinity, and thus useful for representing a value
@@ -1031,18 +1008,18 @@ namespace ana {
 
    FIXME: firm this up; clarify the above.  */
 
-class widening_svalue2 : public svalue2
+class widening_svalue : public svalue
 {
 public:
-  /* A support class for uniquifying instances of widening_svalue2.  */
+  /* A support class for uniquifying instances of widening_svalue.  */
   struct key_t
   {
 #if 0
     struct hash_map_traits
     {
       typedef key_t key_type;
-      typedef const widening_svalue2 *value_type;
-      typedef const widening_svalue2 *compare_type;
+      typedef const widening_svalue *value_type;
+      typedef const widening_svalue *compare_type;
 
       static inline hashval_t hash (const key_type &k)
       {
@@ -1050,17 +1027,17 @@ public:
 	gcc_assert (k != reinterpret_cast<key_type> (1));
 	return k->hash ();
       }
-      static inline bool equal_keys (const key_type &k1, const key_type &k2)
+      static inline bool equal_keys (const key_type &k1, const key_type &k)
       {
 	gcc_assert (k1 != NULL);
-	gcc_assert (k2 != NULL);
+	gcc_assert (k != NULL);
 	gcc_assert (k1 != reinterpret_cast<key_type> (1));
-	gcc_assert (k2 != reinterpret_cast<key_type> (1));
-	if (k1 && k2)
-	  return *k1 == *k2;
+	gcc_assert (k != reinterpret_cast<key_type> (1));
+	if (k1 && k)
+	  return *k1 == *k;
 	else
 	  /* Otherwise they must both be non-NULL.  */
-	  return k1 == k2;
+	  return k1 == k;
       }
       template <typename T>
       static inline void remove (T &)
@@ -1091,7 +1068,7 @@ public:
     };
 #endif
     key_t (tree type, const program_point &point,
-	   const svalue2 *base_sval, const svalue2 *iter_sval)
+	   const svalue *base_sval, const svalue *iter_sval)
       : m_type (type), m_point (point.get_function_point ()),
 	m_base_sval (base_sval), m_iter_sval (iter_sval)
     {}
@@ -1124,8 +1101,8 @@ public:
     // FIXME: for now, just the function_point, as it's easier to hash this
     function_point m_point;
 #endif
-    const svalue2 *m_base_sval;
-    const svalue2 *m_iter_sval;
+    const svalue *m_base_sval;
+    const svalue *m_iter_sval;
   };
 
   enum direction_t
@@ -1134,9 +1111,9 @@ public:
      DIR_DESCENDING,
      DIR_UNKNOWN
     };
-  widening_svalue2 (tree type, const program_point &point,
-		    const svalue2 *base_sval, const svalue2 *iter_sval)
-  : svalue2 (complexity::from_pair (base_sval->get_complexity (),
+  widening_svalue (tree type, const program_point &point,
+		    const svalue *base_sval, const svalue *iter_sval)
+  : svalue (complexity::from_pair (base_sval->get_complexity (),
 				    iter_sval->get_complexity ()),
 	     type),
     m_point (point.get_function_point ()),
@@ -1145,19 +1122,19 @@ public:
   }
 
   enum kind get_kind () const FINAL OVERRIDE { return SK_WIDENING; }
-  const widening_svalue2 *dyn_cast_widening_svalue2 () const { return this; }
+  const widening_svalue *dyn_cast_widening_svalue () const { return this; }
   void accept (visitor *v) const FINAL OVERRIDE;
 
 #if 0
-  void dump_dot_to_pp (const region_model2 &model,
+  void dump_dot_to_pp (const region_model &model,
 		       pretty_printer *pp) const
     FINAL OVERRIDE;
 #endif
 
   void dump_to_pp (pretty_printer *pp, bool simple) const FINAL OVERRIDE;
 
-  const svalue2 *get_base_svalue2 () const { return m_base_sval; }
-  const svalue2 *get_iter_svalue2 () const { return m_iter_sval; }
+  const svalue *get_base_svalue () const { return m_base_sval; }
+  const svalue *get_iter_svalue () const { return m_iter_sval; }
 
   enum direction_t get_direction () const;
 
@@ -1170,8 +1147,8 @@ public:
 #else
   function_point m_point;
 #endif
-  const svalue2 *m_base_sval;
-  const svalue2 *m_iter_sval;
+  const svalue *m_base_sval;
+  const svalue *m_iter_sval;
 };
 
 } // namespace ana
@@ -1179,14 +1156,14 @@ public:
 template <>
 template <>
 inline bool
-is_a_helper <widening_svalue2 *>::test (svalue2 *sval)
+is_a_helper <widening_svalue *>::test (svalue *sval)
 {
-  return sval->get_kind () == svalue2::SK_WIDENING;
+  return sval->get_kind () == svalue::SK_WIDENING;
 }
 
 #if 1
-template <> struct default_hash_traits<widening_svalue2::key_t>
-: public member_function_hash_traits<widening_svalue2::key_t>
+template <> struct default_hash_traits<widening_svalue::key_t>
+: public member_function_hash_traits<widening_svalue::key_t>
 {
   static const bool empty_zero_p = true;
 };
@@ -1194,23 +1171,23 @@ template <> struct default_hash_traits<widening_svalue2::key_t>
 
 namespace ana {
 
-/* Concrete subclass of svalue2 representing a mapping of bit-ranges
+/* Concrete subclass of svalue representing a mapping of bit-ranges
    to svalues, analogous to a cluster within the store.
 
    This is for use in places where we want to represent a store-like
-   mapping, but are required to use an svalue2, such as when handling
+   mapping, but are required to use an svalue, such as when handling
    compound assignments and compound return values.
 
    Instances of this class shouldn't be bound as-is into the store;
    instead they should be unpacked.  Similarly, they should not be
    nested.  */
 
-class compound_svalue2 : public svalue2
+class compound_svalue : public svalue
 {
 public:
   typedef binding_map::iterator_t iterator_t;
 
-  /* A support class for uniquifying instances of compound_svalue2.
+  /* A support class for uniquifying instances of compound_svalue.
      Note that to avoid copies, keys store pointers to binding_maps,
      rather than the maps themselves.  */
   struct key_t
@@ -1242,21 +1219,21 @@ public:
     const binding_map *m_map_ptr;
   };
 
-  compound_svalue2 (tree type, const binding_map &map)
-  : svalue2 (calc_complexity (map), type),
+  compound_svalue (tree type, const binding_map &map)
+  : svalue (calc_complexity (map), type),
     m_map (map)
   {
   }
 
   enum kind get_kind () const FINAL OVERRIDE { return SK_COMPOUND; }
-  const compound_svalue2 *dyn_cast_compound_svalue2 () const { return this; }
+  const compound_svalue *dyn_cast_compound_svalue () const { return this; }
   void accept (visitor *v) const FINAL OVERRIDE;
 
   iterator_t begin () const { return m_map.begin (); }
   iterator_t end () const { return m_map.end (); }
 
 #if 0
-  void dump_dot_to_pp (const region_model2 &model,
+  void dump_dot_to_pp (const region_model &model,
 		       pretty_printer *pp) const
     FINAL OVERRIDE;
 #endif
@@ -1279,13 +1256,13 @@ public:
 template <>
 template <>
 inline bool
-is_a_helper <compound_svalue2 *>::test (svalue2 *sval)
+is_a_helper <compound_svalue *>::test (svalue *sval)
 {
-  return sval->get_kind () == svalue2::SK_COMPOUND;
+  return sval->get_kind () == svalue::SK_COMPOUND;
 }
 
-template <> struct default_hash_traits<compound_svalue2::key_t>
-: public member_function_hash_traits<compound_svalue2::key_t>
+template <> struct default_hash_traits<compound_svalue::key_t>
+: public member_function_hash_traits<compound_svalue::key_t>
 {
   static const bool empty_zero_p = true;
 };
@@ -1296,7 +1273,7 @@ namespace ana {
    particular unknown value, rather than resorting to the unknown_value
    singleton, so that the value can have sm-state.
 
-   Comparisons of variables that share the same conjured_svalue2 are known
+   Comparisons of variables that share the same conjured_svalue are known
    to be equal, even if we don't know what the value is.
 
    For example, this is used for the values of regions that may have been
@@ -1309,15 +1286,15 @@ namespace ana {
    we want values to clobber a and b with, but we don't want to use the
    same value, or it would falsely implicitly assume that a == b.  */
 
-class conjured_svalue2 : public svalue2
+class conjured_svalue : public svalue
 {
 public:
   typedef binding_map::iterator_t iterator_t;
 
-  /* A support class for uniquifying instances of conjured_svalue2.  */
+  /* A support class for uniquifying instances of conjured_svalue.  */
   struct key_t
   {
-    key_t (tree type, const gimple *stmt, const region2 *id_reg)
+    key_t (tree type, const gimple *stmt, const region *id_reg)
     : m_type (type), m_stmt (stmt), m_id_reg (id_reg)
     {}
 
@@ -1349,22 +1326,22 @@ public:
 
     tree m_type;
     const gimple *m_stmt;
-    const region2 *m_id_reg;
+    const region *m_id_reg;
   };
 
-  conjured_svalue2 (tree type, const gimple *stmt, const region2 *id_reg)
-  : svalue2 (complexity (id_reg), type),
+  conjured_svalue (tree type, const gimple *stmt, const region *id_reg)
+  : svalue (complexity (id_reg), type),
     m_stmt (stmt), m_id_reg (id_reg)
   {
     gcc_assert (m_stmt != NULL);
   }
 
   enum kind get_kind () const FINAL OVERRIDE { return SK_CONJURED; }
-  const conjured_svalue2 *dyn_cast_conjured_svalue2 () const { return this; }
+  const conjured_svalue *dyn_cast_conjured_svalue () const { return this; }
   void accept (visitor *v) const FINAL OVERRIDE;
 
 #if 0
-  void dump_dot_to_pp (const region_model2 &model,
+  void dump_dot_to_pp (const region_model &model,
 		       pretty_printer *pp) const
     FINAL OVERRIDE;
 #endif
@@ -1373,7 +1350,7 @@ public:
 
  private:
   const gimple *m_stmt;
-  const region2 *m_id_reg;
+  const region *m_id_reg;
 };
 
 } // namespace ana
@@ -1381,14 +1358,14 @@ public:
 template <>
 template <>
 inline bool
-is_a_helper <conjured_svalue2 *>::test (svalue2 *sval)
+is_a_helper <conjured_svalue *>::test (svalue *sval)
 {
-  return sval->get_kind () == svalue2::SK_CONJURED;
+  return sval->get_kind () == svalue::SK_CONJURED;
 }
 
 #if 1
-template <> struct default_hash_traits<conjured_svalue2::key_t>
-: public member_function_hash_traits<conjured_svalue2::key_t>
+template <> struct default_hash_traits<conjured_svalue::key_t>
+: public member_function_hash_traits<conjured_svalue::key_t>
 {
   static const bool empty_zero_p = true;
 };
@@ -1414,15 +1391,15 @@ namespace ana {
        heap_region (RK_HEAP)
        root_region (RK_ROOT)
      function_region (RK_FUNCTION)
-     label_region2 (RK_LABEL)
+     label_region (RK_LABEL)
      symbolic_region (RK_SYMBOLIC)
-     field_region2 (RK_FIELD)
-     element_region2 (RK_ELEMENT)
-     offset_region2 (RK_OFFSET)
-     heap_allocated_region2 (RK_HEAP_ALLOCATED)
-     alloca_region2 (RK_ALLOCA)
-     string_region2 (RK_STRING)
-     unknown_region2 (RK_UNKNOWN).  */
+     field_region (RK_FIELD)
+     element_region (RK_ELEMENT)
+     offset_region (RK_OFFSET)
+     heap_allocated_region (RK_HEAP_ALLOCATED)
+     alloca_region (RK_ALLOCA)
+     string_region (RK_STRING)
+     unknown_region (RK_UNKNOWN).  */
 
 /* Abstract base class representing a chunk of memory.
 
@@ -1438,11 +1415,11 @@ namespace ana {
    has a "uninitialized" poison value which is inherited by all
    descendent regions that don't themselves have a value.  */
 
-class region2
+class region
 {
 public:
   /* An enum for discriminating between the different concrete subclasses
-     of region2.  */
+     of region.  */
   enum kind
   {
    RK_FRAME,
@@ -1466,69 +1443,57 @@ public:
   };
   static const char *kind_to_str (enum kind);
 
-  virtual ~region2 ();
+  virtual ~region ();
 
-  bool operator== (const region2 &other) const;
-  bool operator!= (const region2 &other) const { return !(*this == other); }
+  bool operator== (const region &other) const;
+  bool operator!= (const region &other) const { return !(*this == other); }
 
   unsigned get_id () const { return m_id; }
-  static int cmp_ids (const region2 *reg1, const region2 *reg2);
+  static int cmp_ids (const region *reg1, const region *reg2);
 
   virtual enum kind get_kind () const = 0;
-  virtual const frame_region2 *
-  dyn_cast_frame_region2 () const { return NULL; }
-  virtual const function_region2 *
-  dyn_cast_function_region2 () const { return NULL; }
-  virtual const symbolic_region2 *
-  dyn_cast_symbolic_region2 () const { return NULL; }
-  virtual const decl_region2 *
-  dyn_cast_decl_region2 () const { return NULL; }
-  virtual const field_region2 *
-  dyn_cast_field_region2 () const { return NULL; }
-  virtual const element_region2 *
-  dyn_cast_element_region2 () const { return NULL; }
-  virtual const offset_region2 *
-  dyn_cast_offset_region2 () const { return NULL; }
-  virtual const cast_region2 *
-  dyn_cast_cast_region2 () const { return NULL; }
-  virtual const string_region2 *
-  dyn_cast_string_region2 () const { return NULL; }
+  virtual const frame_region *
+  dyn_cast_frame_region () const { return NULL; }
+  virtual const function_region *
+  dyn_cast_function_region () const { return NULL; }
+  virtual const symbolic_region *
+  dyn_cast_symbolic_region () const { return NULL; }
+  virtual const decl_region *
+  dyn_cast_decl_region () const { return NULL; }
+  virtual const field_region *
+  dyn_cast_field_region () const { return NULL; }
+  virtual const element_region *
+  dyn_cast_element_region () const { return NULL; }
+  virtual const offset_region *
+  dyn_cast_offset_region () const { return NULL; }
+  virtual const cast_region *
+  dyn_cast_cast_region () const { return NULL; }
+  virtual const string_region *
+  dyn_cast_string_region () const { return NULL; }
 
   virtual void accept (visitor *v) const;
 
-  const region2 *get_parent_region () const { return m_parent; }
-  const region2 *get_base_region () const;
+  const region *get_parent_region () const { return m_parent; }
+  const region *get_base_region () const;
   bool base_region_p () const;
-  bool descendent_of_p (const region2 *elder) const;
-  const frame_region2 *maybe_get_frame_region () const;
+  bool descendent_of_p (const region *elder) const;
+  const frame_region *maybe_get_frame_region () const;
 
   tree maybe_get_decl () const;
 
-#if 0
-  void set_value (region_model2 &model, region_id this_rid, svalue2_id rhs_sid,
-		  region_model2_context *ctxt);
-  svalue2_id get_value (region_model2 &model, bool non_null,
-		       region_model2_context *ctxt);
-  svalue2_id get_value_direct () const { return m_sval_id; }
-
-  svalue2_id get_inherited_child_sid (region *child,
-				     region_model2 &model,
-				     region_model2_context *ctxt);
-#endif
-
   tree get_type () const { return m_type; }
 
   hashval_t hash () const;
 
-  void print (const region_model2 &model,
+  void print (const region_model &model,
 	      pretty_printer *pp) const;
   label_text get_desc (bool simple=true) const;
 
 #if 0
-  virtual void dump_dot_to_pp (const region_model2 &model,
+  virtual void dump_dot_to_pp (const region_model &model,
 			       pretty_printer *pp) const;
 #endif
-  void dump_to_pp (const region_model2 &model,
+  void dump_to_pp (const region_model &model,
 		   pretty_printer *pp,
 		   const char *prefix,
 		   bool is_last_child) const;
@@ -1537,16 +1502,10 @@ public:
   void dump (bool simple) const;
 
 #if 0
-  void add_view (region_id view_rid, region_model2 *model);
-  region_id get_view (tree type, region_model2 *model) const;
-  region_id get_active_view () const { return m_active_view_rid; }
-  bool is_view_p () const { return m_is_view; }
-#endif
-#if 0
-  virtual void validate (const region_model2 &model) const;
+  virtual void validate (const region_model &model) const;
 #endif
 
-  bool non_null_p (const region_model2 &model) const;
+  bool non_null_p (const region_model &model) const;
 
   static int cmp_ptrs (const void *, const void *);
 
@@ -1555,32 +1514,27 @@ public:
   bool get_bit_size (bit_size_t *out) const;
 
   void
-  get_subregions_for_binding (region_model2_manager *mgr,
+  get_subregions_for_binding (region_model_manager *mgr,
 			      bit_offset_t start_bit_offset,
 			      bit_size_t size_in_bits,
 			      tree type,
-			      auto_vec <const region2 *> *out) const;
+			      auto_vec <const region *> *out) const;
 
   bool symbolic_for_unknown_ptr_p () const;
 
   const complexity &get_complexity () const { return m_complexity; }
 
  protected:
-  region2 (complexity c, unsigned id, const region2 *parent, tree type);
+  region (complexity c, unsigned id, const region *parent, tree type);
 
   virtual void add_to_hash (inchash::hash &hstate) const;
 
  private:
-#if 0
-  void become_active_view (region_model2 &model, region_id this_rid);
-  void deactivate_any_active_view (region_model2 &model);
-  void deactivate_view (region_model2 &model, region_id this_view_rid);
-#endif
   region_offset calc_offset () const;
 
   complexity m_complexity;
   unsigned m_id; // purely for deterministic sorting at this stage, for dumps
-  const region2 *m_parent;
+  const region *m_parent;
   tree m_type;
 
   mutable region_offset *m_cached_offset;
@@ -1591,25 +1545,25 @@ public:
 template <>
 template <>
 inline bool
-is_a_helper <const region2 *>::test (const region2 *)
+is_a_helper <const region *>::test (const region *)
 {
   return true;
 }
 
 namespace ana {
 
-/* Abstract subclass of region2, for regions that represent an untyped
+/* Abstract subclass of region, for regions that represent an untyped
    space within memory, such as the stack or the heap.  */
 
-class space_region2 : public region2
+class space_region : public region
 {
 protected:
-  space_region2 (unsigned id, const region2 *parent)
-  : region2 (complexity (parent), id, parent, NULL_TREE)
+  space_region (unsigned id, const region *parent)
+  : region (complexity (parent), id, parent, NULL_TREE)
   {}
 };
 
-/* Concrete space_region2 subclass, representing a function frame on the stack,
+/* Concrete space_region subclass, representing a function frame on the stack,
    to contain the locals.
    The parent is the stack region; there's also a hierarchy of call-stack
    prefixes expressed via m_calling_frame.
@@ -1621,20 +1575,20 @@ protected:
    where the parent region for each of the frames is the "stack" region.
    The index is the count of frames earlier than this in the stack.  */
 
-class frame_region2 : public space_region2
+class frame_region : public space_region
 {
 public:
-  frame_region2 (unsigned id, const region2 *parent,
-		 const frame_region2 *calling_frame,
+  frame_region (unsigned id, const region *parent,
+		 const frame_region *calling_frame,
 		 function *fun, int index)
-  : space_region2 (id, parent), m_calling_frame (calling_frame),
+  : space_region (id, parent), m_calling_frame (calling_frame),
     m_fun (fun), m_index (index)
   {}
-  ~frame_region2 ();
+  ~frame_region ();
 
-  /* region2 vfuncs.  */
+  /* region vfuncs.  */
   enum kind get_kind () const FINAL OVERRIDE { return RK_FRAME; }
-  const frame_region2 * dyn_cast_frame_region2 () const FINAL OVERRIDE
+  const frame_region * dyn_cast_frame_region () const FINAL OVERRIDE
   {
     return this;
   }
@@ -1645,23 +1599,23 @@ public:
 #endif
 
   /* Accessors.  */
-  const frame_region2 *get_calling_frame () const { return m_calling_frame; }
+  const frame_region *get_calling_frame () const { return m_calling_frame; }
   function *get_function () const { return m_fun; }
   int get_index () const { return m_index; }
   int get_stack_depth () const { return m_index + 1; }
 
-  bool compare_fields (const frame_region2 &other) const;
+  bool compare_fields (const frame_region &other) const;
 
-  const region2 *get_region_for_local (region_model2_manager *mgr,
+  const region *get_region_for_local (region_model_manager *mgr,
 				       tree expr) const;
 
   unsigned get_num_locals () const { return m_locals.elements (); }
 
  private:
-  const frame_region2 *m_calling_frame;
+  const frame_region *m_calling_frame;
   function *m_fun;
   int m_index;
-  typedef hash_map<tree, region2 *> map_t;
+  typedef hash_map<tree, region *> map_t;
   map_t m_locals;
   /* TODO: do we want a distinction between params (assumed initialized)
      vs temporaries?  */
@@ -1672,27 +1626,27 @@ public:
 template <>
 template <>
 inline bool
-is_a_helper <const frame_region2 *>::test (const region2 *reg)
+is_a_helper <const frame_region *>::test (const region *reg)
 {
-  return reg->get_kind () == region2::RK_FRAME;
+  return reg->get_kind () == region::RK_FRAME;
 }
 
 namespace ana {
 
-/* Concrete space_region2 subclass, to hold global variables (data and bss).  */
+/* Concrete space_region subclass, to hold global variables (data and bss).  */
 
-class globals_region2 : public space_region2
+class globals_region : public space_region
 {
  public:
-  globals_region2 (unsigned id, const region2 *parent)
-  : space_region2 (id, parent)
+  globals_region (unsigned id, const region *parent)
+  : space_region (id, parent)
   {}
 
-  /* region2 vfuncs.  */
+  /* region vfuncs.  */
   enum kind get_kind () const FINAL OVERRIDE { return RK_GLOBALS; }
   void dump_to_pp (pretty_printer *pp, bool simple) const FINAL OVERRIDE;
 
-  bool compare_fields (const globals_region2 &other) const;
+  bool compare_fields (const globals_region &other) const;
 };
 
 } // namespace ana
@@ -1700,32 +1654,32 @@ class globals_region2 : public space_region2
 template <>
 template <>
 inline bool
-is_a_helper <const globals_region2 *>::test (const region2 *reg)
+is_a_helper <const globals_region *>::test (const region *reg)
 {
-  return reg->get_kind () == region2::RK_GLOBALS;
+  return reg->get_kind () == region::RK_GLOBALS;
 }
 
 namespace ana {
 
-/* Concrete region2 subclass.  A map_region2 representing the code, using
+/* Concrete region subclass.  A map_region representing the code, using
    FUNCTION_DECLs for its keys.  */
 
-class code_region2 : public space_region2
+class code_region : public space_region
 {
 public:
-  code_region2 (unsigned id, const region2 *parent)
-  : space_region2 (id, parent)
+  code_region (unsigned id, const region *parent)
+  : space_region (id, parent)
   {}
 
-  /* region2 vfuncs.  */
+  /* region vfuncs.  */
   void dump_to_pp (pretty_printer *pp, bool simple) const FINAL OVERRIDE;
   enum kind get_kind () const FINAL OVERRIDE { return RK_CODE; }
 
-  const region2 *get_element (region_model2 *model,
-			const svalue2 *index,
-			region_model2_context *ctxt);
+  const region *get_element (region_model *model,
+			const svalue *index,
+			region_model_context *ctxt);
 
-  bool compare_fields (const code_region2 &other) const;
+  bool compare_fields (const code_region &other) const;
 };
 
 } // namespace ana
@@ -1733,40 +1687,40 @@ public:
 template <>
 template <>
 inline bool
-is_a_helper <const code_region2 *>::test (const region2 *reg)
+is_a_helper <const code_region *>::test (const region *reg)
 {
-  return reg->get_kind () == region2::RK_CODE;
+  return reg->get_kind () == region::RK_CODE;
 }
 
 namespace ana {
 
 // FIXME:
-/* Concrete region2 subclass.  A region2 representing the code for
+/* Concrete region subclass.  A region representing the code for
    a particular function, using LABEL_DECLs for its keys.  */
 
-class function_region2 : public region2
+class function_region : public region
 {
 public:
-  function_region2 (unsigned id, const code_region2 *parent, tree fndecl)
-  : region2 (complexity (parent), id, parent, TREE_TYPE (fndecl)),
+  function_region (unsigned id, const code_region *parent, tree fndecl)
+  : region (complexity (parent), id, parent, TREE_TYPE (fndecl)),
     m_fndecl (fndecl)
   {
     gcc_assert (FUNC_OR_METHOD_TYPE_P (TREE_TYPE (fndecl)));
   }
 
-  /* region2 vfuncs.  */
+  /* region vfuncs.  */
   void dump_to_pp (pretty_printer *pp, bool simple) const FINAL OVERRIDE;
   enum kind get_kind () const FINAL OVERRIDE { return RK_FUNCTION; }
-  const function_region2 *
-  dyn_cast_function_region2 () const FINAL OVERRIDE{ return this; }
+  const function_region *
+  dyn_cast_function_region () const FINAL OVERRIDE{ return this; }
 
   tree get_fndecl () const { return m_fndecl; }
 
-  region2 *get_element (region_model2 *model,
-			const svalue2 *index_sid,
-			region_model2_context *ctxt);
+  region *get_element (region_model *model,
+			const svalue *index_sid,
+			region_model_context *ctxt);
 
-  bool compare_fields (const function_region2 &other) const;
+  bool compare_fields (const function_region &other) const;
 
 private:
   tree m_fndecl;
@@ -1777,30 +1731,30 @@ private:
 template <>
 template <>
 inline bool
-is_a_helper <const function_region2 *>::test (const region2 *reg)
+is_a_helper <const function_region *>::test (const region *reg)
 {
-  return reg->get_kind () == region2::RK_FUNCTION;
+  return reg->get_kind () == region::RK_FUNCTION;
 }
 
 namespace ana {
 
-/* Concrete region2 subclass.  A region2 representing a particular label
+/* Concrete region subclass.  A region representing a particular label
    within a function.  */
 
-class label_region2 : public region2
+class label_region : public region
 {
 public:
-  label_region2 (unsigned id, const function_region2 *parent, tree label)
-  : region2 (complexity (parent), id, parent, NULL_TREE), m_label (label)
+  label_region (unsigned id, const function_region *parent, tree label)
+  : region (complexity (parent), id, parent, NULL_TREE), m_label (label)
   {
     gcc_assert (TREE_CODE (label) == LABEL_DECL);
   }
 
-  /* region2 vfuncs.  */
+  /* region vfuncs.  */
   void dump_to_pp (pretty_printer *pp, bool simple) const FINAL OVERRIDE;
   enum kind get_kind () const FINAL OVERRIDE { return RK_LABEL; }
 
-  //bool compare_fields (const function_region2 &other) const;
+  //bool compare_fields (const function_region &other) const;
 
 private:
   tree m_label;
